package com.example.workflow;

import org.camunda.bpm.engine.delegate.BpmnError;
import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.camunda.bpm.engine.delegate.JavaDelegate;

import javax.inject.Named;

@Named
public class EstimatedTotalTime implements JavaDelegate {

    @Override
    public void execute(DelegateExecution delegateExecution) throws Exception {
        //Gets textfield keys and dropdown box values and stores as variables
        String effect = "Low";
        String priority = "Low";
        String estimatedTime = "Unknown";

        effect = (String) delegateExecution.getVariable("effect");
        priority = (String) delegateExecution.getVariable("priority");

        //This nested if statement determines how long a ticket will take following the SLA parameters they use.
        if ("Low".equals(effect)) {
            if ("Low".equals(priority)) {
                estimatedTime = "8 days";
            } else if ("Medium".equals(priority)) {
                estimatedTime = "6 days";
            } else if ("High".equals(priority)) {
                estimatedTime = "4 days";
            }
        } else if ("Medium".equals(effect)) {
            if ("Low".equals(priority)) {
                estimatedTime = "7 days";
            } else if ("Medium".equals(priority)) {
                estimatedTime = "5 days";
            } else if ("High".equals(priority)) {
                estimatedTime = "3 days";
            }
        } else if ("High".equals(effect)) {
            if ("Low".equals(priority)) {
                estimatedTime = "6 days";
            } else if ("Medium".equals(priority)) {
                estimatedTime = "4 days";
            } else if ("High".equals(priority)) {
                estimatedTime = "2 days";
            }
        }
        //Variable gets later used in a form
        delegateExecution.setVariable("estimatedTime", estimatedTime);


    }
}